Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class MomentType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MomentType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DateType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class MomentType

extends Object
implements Serializable

Java class for momentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="momentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <choice>
               <element name="year" type="{http://www.w3.org/2001/XMLSchema}gYear"/>
               <element name="yearmonth" type="{http://www.w3.org/2001/XMLSchema}gYearMonth"/>
             </choice>
             <sequence>
               <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="time" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/>
             </sequence>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MomentType()`

Method Summary
`org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
`TextType` | `getText()` Gets the value of the text property.
`org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
`XMLGregorianCalendar` | `getYear()` Gets the value of the year property.
`XMLGregorianCalendar` | `getYearmonth()` Gets the value of the yearmonth property.
`void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
`void` | `setText(TextType value)` Sets the value of the text property.
`void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.
`void` | `setYear(XMLGregorianCalendar value)` Sets the value of the year property.
`void` | `setYearmonth(XMLGregorianCalendar value)` Sets the value of the yearmonth property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MomentType

    public MomentType()

Method Detail

### getText

    public TextType getText()

  Gets the value of the text property.

  Returns:
    possible object is `TextType`

### setText

    public void setText(TextType value)

  Sets the value of the text property.

  Parameters:
    `value` - allowed object is `TextType`

### getDate

    public org.joda.time.DateTime getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(org.joda.time.DateTime value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getTime

    public org.joda.time.DateTime getTime()

  Gets the value of the time property.

  Returns:
    possible object is `String`

### setTime

    public void setTime(org.joda.time.DateTime value)

  Sets the value of the time property.

  Parameters:
    `value` - allowed object is `String`

### getYearmonth

    public XMLGregorianCalendar getYearmonth()

  Gets the value of the yearmonth property.

  Returns:
    possible object is `XMLGregorianCalendar`

### setYearmonth

    public void setYearmonth(XMLGregorianCalendar value)

  Sets the value of the yearmonth property.

  Parameters:
    `value` - allowed object is `XMLGregorianCalendar`

### getYear

    public XMLGregorianCalendar getYear()

  Gets the value of the year property.

  Returns:
    possible object is `XMLGregorianCalendar`

### setYear

    public void setYear(XMLGregorianCalendar value)

  Sets the value of the year property.

  Parameters:
    `value` - allowed object is `XMLGregorianCalendar`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.